package cd.casic.ci.process.process.service.sftpFile;


import jakarta.servlet.http.HttpServletResponse;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetManagerService
 * @Date: 2025/5/17 10:20
 * @Description:
 */
public interface SftpFileService{

    void uploadFile(String remoteHost, Integer remotePort, String username, String password, String sshKeyPath, String localFilePath, String remoteDir, String remoteFileName);

    void downloadFile(String remoteHost, Integer remotePort, String username, String password, String sshKeyPath, String remoteFilePath, HttpServletResponse response);

    void downloadFilesAsZip(String remoteHost, Integer remotePort, String username, String password, String sshKeyPath, List<String> remoteFilePaths, String zipFileName, HttpServletResponse response);
}
